Name: libpcd
Summary: Library for reading PhotoCD images
Version: 1.0.1
Release: 3
Source: http://bytesex.org/misc/%{name}_%{version}.tar.gz
URL: http://bytesex.org/libpcd.html
Vendor: Gerd Knorr <kraxel@bytesex.org>
Group: System Environment/Libraries
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Library for reading PhotoCD images

%package devel
Summary: Development files for libpcd library
Group: Development/Libraries

%description devel
Development files for libpcd library

%prep
%setup -q

%build
export CFLAGS="${RPM_OPT_FLAGS}"
make prefix=%{prefix}

%install
if test "%{buildroot}" != ""; then
	rm -rf "%{buildroot}"
fi
%makeinstall

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(0644,root,root,0755)
%attr(755,root,root) %{_libdir}/libpcd.so*
%doc README

%files devel
%defattr(0644,root,root,0755)
%{_includedir}/pcd.h
%{_libdir}/libpcd*a
%doc README pcd.html pcd.css

%clean
if test "%{buildroot}" != ""; then
	rm -rf %{buildroot}
fi
